Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Cryptic error when a package does not exist #221

Closed
bos opened this Issue May 24, 2012 · 1 comment

Comments

Projects
None yet
1 participant
Contributor

bos commented May 24, 2012

(Imported from Trac #228, reported by guest on 2008-02-01)

$ cabal install foo
cabal: user error (Unresolved dependencies: foo -any)
I expect a clearer error message here. Not sure about the exact wording, maybe »No such package available: foo« or »No such package to fetch: foo«.
Contributor

bos commented May 24, 2012

(Imported comment by @dcoutts on 2008-02-01)

Already fixed in development version:

$ cabal install foo
cabal: There is no package named foo
I can highly recommend upgrading to the development version. There are many improvements.

@bos bos closed this May 24, 2012

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment